local myMod = ...

-- Apply building asset processor
myMod:registerAssetProcessor("models/stones.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
myMod:registerAssetProcessor("models/wooden_logs.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
myMod:registerAssetProcessor("models/torch.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register stones
myMod:register({
	DataType = "BUILDING_PART",
	Id = "DECO_STONES_PART",
	Name = "DECO_STONES_NAME",
	Description = "",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_STONES"
	},
	BuildingZone = { 2, 2 },
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 },
			{ Resource = "STONE", Quantity = 2 }
		}
	}
})

-- Register wood
myMod:register({
	DataType = "BUILDING_PART",
	Id = "DECO_WOOD_PART",
	Name = "DECO_WOOD_NAME",
	Description = "",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WOOD"
	},
	BuildingZone = { 2, 2 },
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 },
			{ Resource = "WOOD", Quantity = 2 }
		}
	}
})

-- Register torch
myMod:register({
	DataType = "BUILDING_PART",
	Id = "DECO_TORCH_PART",
	Name = "DECO_TORCH_NAME",
	Description = "",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_TORCH"
	},
	BuildingZone = { 2, 2 },
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 },
			{ Resource = "WOOD", Quantity = 2 },
			{ Resource = "TOOL", Quantity = 1 }
		}
	}
})